Juju not showing real states of deployed nodes via MAAS.

Bug #1612687 reported by Ignacio on 2016-08-12
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
juju
High
Unassigned

Bug Description

n2@juju20maas19:~$ juju deploy ~nfv/etsi-osm

n2@juju20maas19:~$ juju status

MODEL CONTROLLER CLOUD/REGION VERSION

default OScloud-controller OScloud 2.0-beta15

APP VERSION STATUS EXPOSED ORIGIN CHARM REV OS

mariadb unknown false jujucharms mariadb 3 ubuntu

openmano unknown false jujucharms openmano 3 ubuntu

openvim-compute unknown false jujucharms openvim-compute 2 ubuntu

openvim-controller active false jujucharms openvim-controller 2 ubuntu

RELATION PROVIDES CONSUMES TYPE

cluster mariadb mariadb peer

db mariadb openmano regular

db mariadb openvim-controller regular

openvim-controller openmano openvim-controller regular

compute openvim-compute openvim-controller regular

UNIT WORKLOAD AGENT MACHINE PUBLIC-ADDRESS PORTS MESSAGE

mariadb/0 unknown idle 0 192.168.0.121

openmano/0 unknown allocating 1 192.168.0.122 Waiting for agent initialization to finish

openvim-compute/0 unknown allocating 3 192.168.0.124 Waiting for agent initialization to finish

openvim-controller/0 active idle 2 192.168.0.123 Up on 192.168.0.123:9080

MACHINE STATE DNS INS-ID SERIES AZ

0 started 192.168.0.121 /MAAS/api/1.0/nodes/node-28f8cb5a-6093-11e6-9ea6-5254009f50c1/ trusty default

1 pending 192.168.0.122 /MAAS/api/1.0/nodes/node-ed4452c2-6093-11e6-9e22-5254009f50c1/ xenial default

2 started 192.168.0.123 /MAAS/api/1.0/nodes/node-170db4b8-6094-11e6-ad2a-5254009f50c1/ xenial default

3 pending 192.168.0.124 /MAAS/api/1.0/nodes/node-d62afdc4-6094-11e6-8956-5254009f50c1/ xenial default

Ignacio (irdezfer) wrote :
summary: - MAAS not showing real status of servers deployed with Juju
+ Juju not showing real states of deployed nodes via MAAS.
no longer affects: juju
no longer affects: maas
Adam Israel (aisrael) wrote :

What's happening in this case is that MAAS shows the nodes as deployed, but Juju is stuck waiting for the agent to be allocated. Further investigation shows that some nodes cannot contact the bootstrap node while other nodes work just fine.

We tested this with Juju 2 beta 13 and MAAS 1.9.3, and Juju 2 beta 15 and MAAS 1.9.4.

Changed in juju-core:
status: New → Triaged
importance: Undecided → High
milestone: none → 2.0.0
Richard Harding (rharding) wrote :

This is part of a thread of exposing machine status information to the tabular default output. We'll update this to be more transparent in the default status output.

juju status --format=yaml should have shown the details better.

Ignacio (irdezfer) wrote :
Download full text (4.8 KiB)

juju status --format=yaml

model:

  name: default

  controller: OScloud-controller

  cloud: OScloud

  version: 2.0-beta15

machines:

  "0":

    juju-status:

      current: started

      since: 12 Aug 2016 16:09:46+02:00

      version: 2.0-beta15

    dns-name: 192.168.0.121

    instance-id: /MAAS/api/1.0/nodes/node-28f8cb5a-6093-11e6-9ea6-5254009f50c1/

    machine-status:

      current: running

      message: Deployed

      since: 12 Aug 2016 16:08:11+02:00

    series: trusty

    hardware: arch=amd64 cpu-cores=8 mem=8024M availability-zone=default

  "1":

    juju-status:

      current: pending

      since: 12 Aug 2016 16:05:56+02:00

    dns-name: 192.168.0.122

    instance-id: /MAAS/api/1.0/nodes/node-ed4452c2-6093-11e6-9e22-5254009f50c1/

    machine-status:

      current: running

      message: Deployed

      since: 12 Aug 2016 16:15:52+02:00

    series: xenial

    hardware: arch=amd64 cpu-cores=48 mem=131072M availability-zone=default

  "2":

    juju-status:

      current: started

      since: 12 Aug 2016 16:16:19+02:00

      version: 2.0-beta15

    dns-name: 192.168.0.123

    instance-id: /MAAS/api/1.0/nodes/node-170db4b8-6094-11e6-ad2a-5254009f50c1/

    machine-status:

      current: running

      message: Deployed

      since: 12 Aug 2016 16:14:21+02:00

    series: xenial

    hardware: arch=amd64 cpu-cores=48 mem=131072M availability-zone=default

  "3":

    juju-status:

      current: pending

      since: 12 Aug 2016 16:05:57+02:00

    dns-name: 192.168.0.124

    instance-id: /MAAS/api/1.0/nodes/node-d62afdc4-6094-11e6-8956-5254009f50c1/

    machine-status:

      current: running

      message: Deployed

      since: 12 Aug 2016 16:16:08+02:00

    series: xenial

    hardware: arch=amd64 cpu-cores=48 mem=131072M availability-zone=default

applications:

  mariadb:

    charm: cs:trusty/mariadb-3

    series: trusty

    os: ubuntu

    charm-origin: jujucharms

    charm-name: mariadb

    charm-rev: 3

    exposed: false

    application-status:

      current: unknown

      since: 12 Aug 2016 16:10:21+02:00

    relations:

      cluster:

      - mariadb

      db:

      - openmano

      - openvim-controller

    units:

      mariadb/0:

        workload-status:

          current: unknown

          since: 12 Aug 2016 16:10:21+02:00

        juju-status:

          current: idle

          since: 18 Aug 2016 16:07:01+02:00

          version: 2.0-beta15

        machine: "0"

        public-address: 192.168.0.121

  openmano:

    charm: cs:~nfv/openmano-3

    series: xenial

    os: ubuntu

    charm-origin: jujucharms

    charm-name: openmano

    charm-rev: 3

    exposed: false

    application-status:

      current: unknown

      message: Waiting for agent initialization to finish

      since: 12 Aug 2016 16:05:57+02:00

    relations:

      db:

      - mariadb

      openvim-controller:

      - openvim-controller

    units:

      openmano/0:

        workload-status:

          current: unknown

          message: Waiting for agent initialization to finish

          since: 12 Aug 2016 16:05:57+02:00

        juju-status:

          current: allocating

          ...

Read more...

affects: juju-core → juju
Changed in juju:
milestone: 2.0.0 → none
milestone: none → 2.0.0
Changed in juju:
assignee: nobody → Richard Harding (rharding)
Changed in juju:
milestone: 2.0.0 → 2.1.0
Changed in juju:
assignee: Richard Harding (rharding) → nobody
Anastasia (anastasia-macmood) wrote :

Removing 2.1 milestone as we will not be addressing this issue in 2.1.

Changed in juju:
milestone: 2.1.0 → none
tags: added: maas-provider
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers